/* $Id: weaponuzi.hpp,v 1.9 2005/06/28 13:55:26 chfreund Exp $ */

#ifndef _WEAPONUZI_HPP_
#define _WEAPONUZI_HPP_

#include "weapon.hpp"
#include "audio.hpp"

class WeaponUzi : public Weapon {
	public:
		WeaponUzi() {
			m_ID          = WEAPON_UZI;
			m_maximumAmmo = 50;
			m_reloadTime  =  1;
			m_chargeTime  = 50;
			rechargeNow();
			m_shotSample = Audio::getInstance()->loadSound( "sound/weapons/uzi/uzi.wav" );
		}

		virtual bool reallyShoot( World* world, Avatar* avatar,
		                          const StationaryGun* gun = NULL ) const ;
};

#endif // _WEAPONUZI_HPP_
