/* $Id: keytable.hpp,v 1.2 2005/06/28 13:55:20 chfreund Exp $ */

#ifndef _KEYTABLE_HPP_
#define _KEYTABLE_HPP_

#include <SDL.h>

class KeyTable {
private:
	static char* m_table[];
	static char* m_unknownKeyName;
public:
	static void initializeTable();
	static const char* getKeyName( SDLKey key ) {
		return m_table[key];
	}
	static SDLKey getKeyByName( const char* keyname );
private:
	static void addKeyName( SDLKey key, const char* keyname );
};

#endif // _KEYTABLE_HPP_
