/* $Id: playerinput.hpp,v 1.2 2005/07/15 20:18:44 pohlt Exp $ */

#ifndef _PLAYERINPUT_HPP_
#define _PLAYERINPUT_HPP_

#include "event.hpp"

//! Abstract interface for a player (implemented by clients and bots)
class PlayerInput {
public:
	virtual ~PlayerInput( void ) {};
	//! Get the event for the associated player
	//! \return The event for the player
	virtual Event getEvent( void ) const = 0;
};

#endif // _PLAYERINPUT_HPP_
